#load "langage.cmo"
#load "ordering.cmo"
#load "lexer.cmo";;
#load "parser.cmo";;
#load "mpo.cmo";;   
#load "eval.cmo";;
#load "toplex.cmo";;
#load "lpo.cmo";;
#load "quasi_interpretations.cmo";;
#load "toppars.cmo";;              
#load "toplevel.cmo";;

open Langage
open Ordering;;
open Mpo

let ic_to_prog ic=Parser.prog Lexer.token (Lexing.from_channel ic)

let file_to_prog s=
  let ic = open_in s in
  let prg = ic_to_prog ic in
    close_in ic;
    prg

